## com.bbn.openmap.layer.mysql
Class MysqlWKTGeometryFactory

    java.lang.Object
      com.bbn.openmap.layer.mysql.MysqlWKTGeometryFactory

public class MysqlWKTGeometryFactory
extends java.lang.Object

This class represents the Factory class do create the different Geometry Objects. It takes as input a WKT Representation (text) of the Geometry. It should have less performance than one which manipulates WKB (binary) --> ToDo.

Copyright 2003 by the Author

Version:
  1.0
Author:
  Uwe Baier uwe.baier@gmx.net

Constructor Summary
`MysqlWKTGeometryFactory()`

Method Summary
`protected static double[]` `createDoubleLatLongArray(java.util.Vector v)`
`static MysqlGeometry` `createGeometry(java.lang.String geotext)`
`protected static MysqlLine` `createLine(java.lang.String s)`
`protected static MysqlPoint` `createPoint(java.lang.String s)`
`protected static MysqlPolygon` `createPolygon(WKTNode wktRoot)`
`protected static void` `iterateWKTNodeTree(WKTNode n)`
`protected static WKTNode` `parseGeometryText(java.lang.String coordString)`
`protected static java.util.Vector` `parseStringByToken(java.lang.String s, char token)`
`protected static MysqlGeometry` `util(WKTNode wktRoot, java.lang.String type)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### MysqlWKTGeometryFactory

    public MysqlWKTGeometryFactory()

Method Detail

### createGeometry

    public static MysqlGeometry createGeometry(java.lang.String geotext)

### util

    protected static MysqlGeometry util(WKTNode wktRoot,
                                        java.lang.String type)

### createPoint

    protected static MysqlPoint createPoint(java.lang.String s)

### createLine

    protected static MysqlLine createLine(java.lang.String s)

### createPolygon

    protected static MysqlPolygon createPolygon(WKTNode wktRoot)

### iterateWKTNodeTree

    protected static void iterateWKTNodeTree(WKTNode n)

### parseGeometryText

    protected static WKTNode parseGeometryText(java.lang.String coordString)

### createDoubleLatLongArray

    protected static double[] createDoubleLatLongArray(java.util.Vector v)

### parseStringByToken

    protected static java.util.Vector parseStringByToken(java.lang.String s,
                                                         char token)

Copyright (C) BBNT Solutions LLC; See http://openmap.bbn.com/ for details